Post Loyalty Program Customers Push
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/push"
payload = { "message": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/push', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Post Loyalty Program Customers Push
Send Push Message to All Customers
Sends a push notification to all customers associated with a specific loyalty program.
Path Parameters:
programId: UUID of the loyalty program
Request Body:
message: The message content to send (optional)
Note:
- Excessive usage of push notifications can lead to rate limiting or blocking of your cards.
Returns:
- HTTP 200 OK on successful delivery.
POST
/
v2
/
loyalty
/
programs
/
{programId}
/
customers
/
push
Post Loyalty Program Customers Push
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
⌘I
